/* DEFAULT CSS RESET */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, menu, nav, output, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
}

*,
*::before,
*::after{box-sizing:border-box;}

ul {
  list-style-type: none
}


a {
  color: inherit; 
  text-decoration: inherit;
}

button {
  background-color: transparent;
  color: inherit;
  border: none;
  font: inherit;
}

/* STYLES */

@font-face {
  font-family: "ABC Laica A";
  src: url("fonts/ABCLaicaA-Regular.woff2") format("woff2"),
       url("fonts/ABCLaicaA-Regular.woff") format("woff");
} 

:root {
  --color-black-100: rgba(0, 0, 0, 1);;
  --color-black-60: rgba(0, 0, 0, 0.6);;
  --color-black-50: rgba(0, 0, 0, 0.5);;
  --color-black-25: rgba(0, 0, 0, 0.25);;
  --color-black-10: rgba(0, 0, 0, 0.1);;   
  --color-white-120: #FFFFFF;
  --color-white-100: #F9F6F4;
  --color-white-50: rgba(255, 255, 255, 0.5); 
  --color-background: #E8E6E5; 
  --color-accent: #B8BB0A;
  --type-size: 14px;
  --padding: 8px;
  --radius-outer: 12px;
  --radius-inner: 8px;
}

@media only screen and (min-width: 374px) {

  :root {
    --type-size: 16px;
  }  

}

@media only screen and (min-width: 648px) {

  :root {
      --padding: 12px;
  }  

}

@media only screen and (min-width: 1024px) {

  :root {
    --padding: 16px;
    --radius-outer: 16px;
    --radius-inner: 12px;
  }  

}

@media only screen and (min-width: 1620px) {

  :root {
    --type-size: 20px;
    --padding: 20px;   
    --radius-outer: 20px;
    --radius-inner: 16px; 
  }  

}





/* GENERAL STYLING */




::-moz-selection { /* Code for Firefox */
  background: var(--color-accent);
}

::selection {
  background: var(--color-accent);
  color: var(--color-black);
}

body {
  font-family: ABC Laica A;
  background-color: var(--color-background);
  font-size: var(--type-size);
  line-height: 1.33;
}


h1 {
  display: inline-block;
}

p {
  margin: 0;
  padding: 0;
}

/* COMPONENTS*/

.link {
  color: var(--color-accent);
  border-radius: calc(1/2 * var(--radius-inner));
}

.link::selection {
  background: var(--color-black-100);
}

.primary-button {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  align-items: center;
  gap: 4px;
  height: 40px;
  padding: 12px;
  border-radius: var(--radius-inner);
  background-color: var(--color-black-10);
}

.primary-button svg {
  flex: none;
  width: 14px;
  height: 14px;
}


.year-stamp {
  background-image: url('images/elipse.svg');
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: 100% 100%;
  padding: 2px 8px;
}

/*COMPONENTS: Mobile*/

@media only screen and (min-width: 374px) {

  .year-stamp {
    padding: 4px 12px;
  }

  .primary-button svg {
    width: 16px;
    height: 16px;
  }

} 

@media only screen and (min-width: 648px) {

}  

@media only screen and (min-width: 1024px) {

  .primary-button {
    height: 32px;
    gap: 4px;
    padding: 8px;
  }

}  

@media only screen and (min-width: 1620px) {

  .year-stamp {
    padding: 4px 16px;
  }

  .primary-button {
    height: 44px;
    padding: 12px;
  }

  .primary-button svg {
    width: 20px;
    height: 20px;
  }

}    

/* MODULES */

/* nav */

#nav {
  position: fixed;
  z-index: -1;
  top: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: var(--padding);
  gap: 16px;
}

#nav h1 {
  flex-grow: 1;
}

.toggle_wrapper {
  display: none;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}

.toggle {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 2px;
  gap: 2px;
  width: 30px;
  height: 16px;
  border-radius: 100px; 
  background-color: var(--color-black-25);
}

.toggle_handle {
  background-color: var(--color-white-100);
  width: 12px;
  height: 12px;
  border-radius: 100px;
  transition: all 0.5s ease-out; 
}

.toggle-right .toggle_handle {
  margin-left: 14px;
}

.toggle_left-label,
.toggle_right-label {
  transition: all 0.5s ease-out;
  cursor: pointer;
}

.toggle_right-label {
  color: var(--color-black-50);
}

.toggle-right .toggle_left-label {
  color: var(--color-black-50);
}

.toggle-right .toggle_right-label {
  color: var(--color-black-100);
}

.mobile-toggle {
  position: relative;
  background-color: var(--color-black-25);
  border-radius: 100px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 2px;
  gap: 2px;
  isolation: isolate;
}

.mobile-toggle_button{
  width: 64px;
  height: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-black-100);
}

.mobile-toggle_highlight {
  position: absolute;
  left: 2px;
  width: 64px;
  height: 36px;
  border-radius: 100px;
  background-color: var(--color-white-100);
  z-index: -1;
  transition: all 0.5s ease-out;
}

.toggle-right .mobile-toggle_highlight{
  left: 68px;
}

/* stage */

#stage {
  position: fixed;
  top: 56px;
  z-index: -1;
  width: 100vw;
  height: 100vw;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

/* projets list */

.projects-list_container {
  margin-top: calc(100vw + 56px);
  width: 100vw;
  padding: var(--padding);
  z-index: 1;
  transition: all 1s ease-out;
}

.project-page .projects-list_container {
  margin-top: 0;
  padding: 0;
  width: 100%;
}

.projects-list {
  z-index: 1;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.project-card {
  max-width: 1024px;
  display: flex;
  flex-direction: row;
  gap: 12px;
  background-color: var(--color-white-100);
  border-radius: var(--radius-outer);
  padding: 8px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.16);
  transition: all 0.2s ease-out;
}

.project-card img {
  width: 80px;
  height: 80px;
  border-radius: var(--radius-inner);
}

.project-card_column {
  display: flex;
  flex-direction: column;
  gap: 12px;
  flex-grow: 1;
}

.project-card_row {
  display: flex;
  flex-direction: row;
  gap: 12px;
  align-self: stretch;
  align-items: center;
}

.project-card_title {
  flex-grow: 1;
}

.project-card_year {
  flex-grow: 0;
}

.project-card_scope {
  display: flex;
  align-items: flex-end;
  flex-grow: 1;
}

.about-card_container {
  margin-top: calc(100vw + 56px);
  padding: var(--padding);
  z-index: 1;
  width: 100vw;
}

.about-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: var(--padding);
  gap: 16px;
  border-radius: var(--radius-outer);
  background-color: var(--color-white-100);
}

.about-card .row {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
}

.about-card img {
  width: 80px;
  height: 80px;
  border-radius: var(--radius-inner);
}

.about-card_header {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 12px;
  flex-grow: 1;
}

.about-card_header h2 {
  flex-grow: 1;
}

.about-card_email {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 8px;
}

/* project modal */

.project-modal_wrapper {
  display: flex;
  flex-direction: column;
  gap: var(--padding);
  width: 100vw;
  padding: var(--padding);
  margin-top: 48px;
}

.project-modal {
  background-color: var(--color-white-100);
  padding: var(--padding);
  border-radius: var(--radius-outer);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: var(--padding);
  gap: calc(1/2 * var(--padding));
}

.project-modal_nav {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 12px;
}

.project-modal_header {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 4px;
  flex-grow: 1;
}

.project-modal_button-set {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: flex-start;
  padding: 0px;
  gap: 8px;
  flex-grow: 0;
}

.project-modal_header .year-stamp {
  display: none;
}

.project-modal_gallery {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
  gap: 8px;
}

.project-modal_gallery img,
.project-modal_gallery video {
  width: 100%;
  border-radius: var(--radius-inner);
  display: block;
}

/*Project details*/

.project-details {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: calc(3/2 * var(--padding)) var(--padding);
  margin: calc(1/2 * var(--padding)) 0 calc(1/2 * var(--padding)) 0;
  gap: calc(3/2 * var(--padding));
  background-color: var(--color-background);
  border-radius: var(--radius-inner);
  transition: max-height 0.3s ease-out, padding 0s 0s, margin 0s 0s;
  max-height: 1440px;
  max-width: 1024px;
  overflow: hidden;
}

.collapsed {
  margin: 0;
  padding: 0;
  max-height: 0;
  transition: max-height 0.3s ease-out, padding 0s 0.3s, margin 0s 0.3s;
}


.project-details_section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 4px;
  border-radius: calc(var(--radius-inner) - 1/2 * var(--padding));
}

.project-details_year-section {
  gap: 8px;
}

.project-details_label {
  color: var(--color-black-60);
}

.project-details li {
  display: inline;
  margin-right: calc(var(--type-size)/3);
}

.info-button svg{
  transition: all 0.2s ease-out;
}

.info-button_open svg {
  transform: rotate(45deg);
}

/*MODULES: Mobile*/

@media only screen and (min-width: 374px) {


  .mobile-toggle_button{
    width: 80px;
  }

  .mobile-toggle_highlight {
    width: 80px;
  }

  .toggle-right .mobile-toggle_highlight{
    left: 84px;
  }

  .projects-list {
    gap: 8px;
  }

  .project-card img {
    width: 100px;
    height: 100px;
  }

  .about-card img {
    width: 100px;
    height: 100px;
  }

}

/*MODULES: Tablet*/

@media only screen and (min-width: 648px) {

  .projects-list {
    gap: 8px;
  }


  .project-card img {
    width: 120px;
    height: 120px;
  }


  .about-card img {
    width: 120px;
    height: 120px; 
  }

  .project-modal_header .year-stamp {
    display: inline;
  }

  .project-details_section {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: var(--padding);
  }

  .project-details_year-section {
    display: none;
  }

  .project-details_label {
    width: 120px;
    flex: none;
    flex-grow: 0;
  }

  .project-details_value {
    flex-grow: 1;
    align-self: stretch;
  }

  .project-modal_gallery {   
    flex-direction: row;
    flex-wrap: wrap;
    gap: var(--padding);
  }

  .project-media img, .project-media video {
    width: 100%;
    display: block;
  }

  .media-layout-double {
    width: calc(50% - var(--padding) /2);
  }

  .media-layout-full, .media-layout-right, .media-layout-left {
    width: 100%;
  }

  .media-layout-right img, .media-layout-right video {
    width: calc(50% - 1/2 * var(--padding));
    margin-left: auto;
  }

  .media-layout-left img, .media-layout-left video {
    width: calc(50% - 1/2 * var(--padding));
    margin-right: auto;
  }

}

/*MODULES: Laptop*/

@media only screen and (min-width: 1024px) {

  .toggle_wrapper {
    display: flex;
  }

  .mobile-toggle {
    display: none;
  }

  #stage {
    width: 50vw;
    height: calc(100vh - 36px);
  }


  .projects-list_container {
    width: 50vw;
    margin-top: 36px;
    margin-left: 50vw;
  }

  .project-modal_wrapper .projects-list_container {
    width: calc(50% - 1/2*var(--padding));
    max-width: 1024px;
    margin-left: auto;
  }

  .about-card_container {
    width: 50vw;
    margin-top: 36px;
    margin-left: 50vw;
  }

  .project-details {
    width: calc(50% - 1/2*var(--padding));
    margin-left: auto;
  }

}  

/*MODULES: Desktop*/

@media only screen and (min-width: 1620px) {

  #stage {
    width: 50vw;
    height: calc(100vh - 48px);
  }

  .projects-list_container {
    width: 50vw;
    margin-top: 48px;
    margin-left: 50vw;
  }

  .projects-list {
    gap: 12px;
  }

  .project-card {
    gap: 16px;
  }

  .project-card_row {
    gap: 16px;
  }

  .about-card_container {
    width: 50vw;
    margin-top: 48px;
    margin-left: 50vw;
  }

}  

/*MODULES: Large Screen*/

@media only screen and (min-width: 2048px) {

  #stage {
    width: calc(100vw - 1024px);
  }

  .projects-list_container {
    width: 1024px;
    margin-left: calc(100vw - 1024px);
  }

  .about-card_container {
    width: 1024px;
    margin-left: calc(100vw - 1024px);
  }

}  

/*INTERACTIONS*/
.link:hover {
  background-color: var(--color-black-10);
}

.primary-button:hover{
  background-color: var(--color-black-25);
  cursor: pointer;
}

.link:focus,
.primary-button:focus {
  outline: none;
  box-shadow: 0px 0px 0px 2px var(--color-white-100), 0px 0px 0px 4px var(--color-accent);
}

.feedback-button {
  min-width: 40px;
  max-width: 40px;
  transition: min-width 0.3s ease-out, max-width 0.3s ease-out, color 0.3s ease-out;
  overflow: hidden;
}

.feedback-icon,
.feedback {
  color: #006736;
  display: none;
}

.success {
  min-width: 94px;
  max-width:94px;
  background-color: rgba(0, 103, 54, 0.1) !important;
}

.success .default-icon {
  display: none;
}

.success .feedback-icon,
.success .feedback {
  display: block;
}

.work,
.about {
  transition: left 0.2s 0s linear;
}

.disabled-section {
  position: fixed;
  left: 100vw;
  top: 0;
}

.transient-section {
  position: fixed;
  transition: left 0.5s 0.2s ease-out;
  left: 0;
  top: 0;
}

.hide {
  display: none;
}

.mobile-hide {
  display: none;
}

.toggle:hover {
  background-color: var(--color-black-50);
  cursor: pointer;
}

.toggle:focus {
  outline: none;
  box-shadow: 0px 0px 0px 2px var(--color-background), 0px 0px 0px 4px var(--color-accent);
}

.toggle_left-label:focus,
.toggle_right-label:focus {
  outline: none;
}

.toggle_left-label:disabled,
.toggle_right-label:disabled {
  cursor: auto;
}

.mobile-toggle:hover {
  background-color: var(--color-black-10);
}

.mobile-toggle:focus {
  outline: none;
  box-shadow: 0px 0px 0px 2px var(--color-background), 0px 0px 0px 4px var(--color-accent);
}

.project-card:hover {
  transform: translate(0,-2px);
  background-color: var(--color-white-120);
  box-shadow: 0px 4px 24px rgba(0, 0, 0, 0.16);
}

.project-card:focus {
  outline: none;
  box-shadow: 0px 0px 0px 2px var(--color-background), 0px 0px 0px 4px var(--color-accent);
}


@media only screen and (min-width: 374px) {

  .success {
    min-width: 103px;
    max-width:103px;
  }

}

@media only screen and (min-width: 648px) {

  .mobile-hide {
    display: inline;
  }

}  

@media only screen and (min-width: 1025px) {

  .feedback-button {
    min-width: 36px;
    max-width: 36px;
  }

  .success {
    min-width: 94px;
    max-width:94px;
  }


}

@media only screen and (min-width: 1025px) {

  .feedback-button {
    min-width: 44px;
    max-width: 44px;
  }

  .success {
    min-width: 121px;
    max-width:121px;
  }


}
